﻿cls

configuration Demo1
{
    Import-DscResource -module xjea

    xJeaToolKit ProcessToolkit
    {
        Name         = 'ProcessToolkit'
        CommandSpecs = @"
Name,Parameter,ValidateSet,ValidatePattern
Get-Process
Get-Service
Stop-Process,Name,calc;notepad
Restart-Service,Name,,^A
"@
    }
    xJeaEndPoint Demo1EP
    {
        Name                   = 'Demo1EP'
        Toolkit                = 'ProcessToolkit'
        SecurityDescriptorSddl = 'O:NSG:BAD:P(A;;GX;;;WD)S:P(AU;FA;GA;;;WD)(AU;SA;GXGW;;;WD)'                                  
        DependsOn              = '[xJeaToolKit]ProcessToolkit'
    }
}

Demo1 -OutputPath C:\JeaDemo

Start-DscConfiguration -Path C:\JeaDemo -ComputerName localhost -Verbose -wait

start-sleep -Seconds 30 #Wait for WINRM to restart

$s = New-PSSession -cn . -ConfigurationName Demo1EP
Invoke-command $s {get-command} |out-string
Invoke-Command $s {get-command stop-process -Syntax}
# Enter-pssession $s

Remove-PSSession $s
#EOF
